xine-lib: demux_asf_s Struct Reference

xine-lib 1.2.12

Data Fields
demux_asf_s Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
fifo_buffer_t * | video_fifo
input_plugin_t * | input
int64_t | keyframe_ts
int | keyframe_found
int | seqno
uint32_t | packet_size
uint8_t | packet_len_flags
uint32_t | data_size
uint64_t | packet_count
asf_demux_stream_t | streams [23]
int | video_stream
int | audio_stream
int | video_id
int | audio_id
int64_t | length
uint32_t | rate
int | packet_size_left
int64_t | last_pts [2]
int | send_newpts
uint32_t | packet_padsize
int | nb_frames
uint8_t | frame_flag
uint8_t | packet_prop_flags
int | frame
int | status
uint8_t * | reorder_temp
int | reorder_h
int | reorder_w
int | reorder_b
int | buf_flag_seek
int64_t | first_packet_pos
int | mode
uint8_t | last_unknown_guid [16]
uint8_t | seen_streams [24]
asf_header_t * | asf_header

## Field Documentation

## ◆ asf_header

asf_header_t* demux_asf_s::asf_header

## ◆ audio_fifo

fifo_buffer_t* demux_asf_s::audio_fifo

## ◆ audio_id

int demux_asf_s::audio_id

## ◆ audio_stream

int demux_asf_s::audio_stream

## ◆ buf_flag_seek

int demux_asf_s::buf_flag_seek

## ◆ data_size

uint32_t demux_asf_s::data_size

## ◆ demux_plugin

demux_plugin_t demux_asf_s::demux_plugin

## ◆ first_packet_pos

int64_t demux_asf_s::first_packet_pos

## ◆ frame

int demux_asf_s::frame

## ◆ frame_flag

uint8_t demux_asf_s::frame_flag

## ◆ input

input_plugin_t* demux_asf_s::input

## ◆ keyframe_found

int demux_asf_s::keyframe_found

## ◆ keyframe_ts

int64_t demux_asf_s::keyframe_ts

## ◆ last_pts

int64_t demux_asf_s::last_pts[2]

## ◆ last_unknown_guid

uint8_t demux_asf_s::last_unknown_guid[16]

## ◆ length

int64_t demux_asf_s::length

## ◆ mode

int demux_asf_s::mode

## ◆ nb_frames

int demux_asf_s::nb_frames

## ◆ packet_count

uint64_t demux_asf_s::packet_count

## ◆ packet_len_flags

uint8_t demux_asf_s::packet_len_flags

## ◆ packet_padsize

uint32_t demux_asf_s::packet_padsize

## ◆ packet_prop_flags

uint8_t demux_asf_s::packet_prop_flags

## ◆ packet_size

uint32_t demux_asf_s::packet_size

## ◆ packet_size_left

int demux_asf_s::packet_size_left

## ◆ rate

uint32_t demux_asf_s::rate

## ◆ reorder_b

int demux_asf_s::reorder_b

## ◆ reorder_h

int demux_asf_s::reorder_h

## ◆ reorder_temp

uint8_t* demux_asf_s::reorder_temp

## ◆ reorder_w

int demux_asf_s::reorder_w

## ◆ seen_streams

uint8_t demux_asf_s::seen_streams[24]

## ◆ send_newpts

int demux_asf_s::send_newpts

## ◆ seqno

int demux_asf_s::seqno

## ◆ status

int demux_asf_s::status

## ◆ stream

xine_stream_t* demux_asf_s::stream

## ◆ streams

asf_demux_stream_t demux_asf_s::streams[23]

## ◆ video_fifo

fifo_buffer_t* demux_asf_s::video_fifo

## ◆ video_id

int demux_asf_s::video_id

## ◆ video_stream

int demux_asf_s::video_stream

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_asf.c